<?php
  $locale = get_locale();
  $links["en_US"]["avv_what_is_this"] = 'https://google.com';
  $links["de_DE"]["avv_what_is_this"] = 'https://www.datenschutzbeauftragter-info.de/auftragsdatenverarbeitung-und-datenschutz-grundverordnung/';
?>

<h1>GDPR ✔Check</h1>

<h2><?php echo __('This plugin is not a legal advice! Do not trust it. Ask a lawyer!','gdprcompatible'); ?></h2>
<br />
<?php
$settings = get_option( 'gdprcompatible_status' );
$settings = json_decode( $settings );

?>
<form action="<?php echo esc_url( admin_url( 'admin-post.php' ) ); ?>" method="post">

<input type="hidden" name="action" value="gdprcompatible_save_status" />

<div class="tab">
<label data-avv-text="<?php echo __('your webhost (where your WordPress is hosted)','gdprcompatible'); ?>"><input type="checkbox" class="first" name="data[strategy][status]" <?php checked( $settings->strategy->status, 'on' ); ?>/> <?php echo __('Do you have a data housekeeping strategy?','gdprcompatible'); ?></label>
<?php $class="hidden"; if($settings->strategy->status=="on") { $class=""; } ?>
<div class="<?php echo $class; ?> bg smaller">
  <label data-datenschutz-text="<?php echo __('data storage policies','gdprcompatible'); ?>"><input name="data[strategy][logins_allowed]" type="checkbox" <?php checked( $settings->strategy->logins_allowed, 'on' ); ?>/> <?php echo __('I allow logins: customers, clients or other users can register','gdprcompatible'); ?></label>
  <label data-datenschutz-text="<?php echo __('data lock possibilities: how do you lock (user)data?','gdprcompatible'); ?>"><input name="data[strategy][can_lock_userdata]" type="checkbox" <?php checked( $settings->strategy->can_lock_userdata, 'on' ); ?>/> <?php echo __('I can lock user data - users cannot register anymore and their data is locked','gdprcompatible'); ?></label>
  <label data-datenschutz-text="<?php echo __('data export possibilities and emergency contact','gdprcompatible'); ?>"><input name="data[strategy][can_export_userdata]" type="checkbox" <?php checked( $settings->strategy->can_export_userdata, 'on' ); ?>/> <?php echo __('I can export user data into machine-readable format (JSON, CSV, ...)','gdprcompatible'); ?></label>
  <label data-datenschutz-text="<?php echo __('data deletion policy: how do you delete (user)data? + contact','gdprcompatible'); ?>"><input name="data[strategy][can_delete_userdata]" type="checkbox" <?php checked( $settings->strategy->can_delete_userdata, 'on' ); ?>/> <?php echo __('I can delete user forever and without a trace','gdprcompatible'); ?></label>
  <label><input name="data[strategy][can_delete_userdata]" type="checkbox" <?php checked( $settings->strategy->can_delete_userdata, 'on' ); ?>/> <?php echo __('relevant (user)data will be deleted after ','gdprcompatible'); ?>
    <input name="data[strategy][days_to_deletion]" style="width:80px;text-align:center;" type="number" value="<?php echo $settings->strategy->days_to_deletion; ?>" /> <?php echo __('days','gdprcompatible'); ?></label>

</div>
</div>

<?php
  $title_found = array(); $cf7_found = gdprcompatible_is_activated('CF7');
  if(gdprcompatible_is_activated('WooCommerce')) $title_found[] = 'WooCommerce gefunden';
?>
<div class="tab">
<label data-avv-text="<?php echo __('your e-commerce system','gdprcompatible'); ?>" data-datenschutz-text="<?php echo __('data storage policy for saving customer data','gdprcompatible'); ?>"><input name="data[ecommerce][shop]" type="checkbox" <?php checked( $settings->ecommerce->shop, 'on' ); ?>/> <?php echo __('Do you have a store?','gdprcompatible'); ?> <?php echo implode(', ',$title_found); ?></label>
</div>

<div class="tab">
<?php $class="hidden"; if($settings->mails->status=="on") { $class=""; } ?>
<label data-avv-text="<?php echo __('your mail server (or mailchimp etc)','gdprcompatible'); ?>"><input type="checkbox" class="first" name="data[mails][status]" type="checkbox" <?php checked( $settings->mails->status, 'on' ); ?>/> <?php echo __('Do you send mails to other people?','gdprcompatible'); ?></label>
<div class="<?php echo $class; ?> bg smaller">
  <label><input name="data[mails][newsletter]" type="checkbox" <?php checked( $settings->mails->newsletter, 'on' ); ?>/> <?php echo __('I have a Newsletter','gdprcompatible'); ?></label>
  <?php if($cf7_found) { ?><label><input name="data[mails][cf7]" type="checkbox" <?php checked( $settings->mails->cf7, 'on' ); ?>/> <?php echo __('I collect mail adresses with Contact-Form 7','gdprcompatible'); ?></label><?php } ?>
  <label data-avv-text="<?php echo __('privacy agreement with partners','gdprcompatible'); ?>" data-datenschutz-text="<?php echo __('data storage policy for gambling','gdprcompatible'); ?>"><input name="data[mails][gewinnspiele]" type="checkbox" <?php checked( $settings->mails->gewinnspiele, 'on' ); ?>/> <?php echo __('I send or receive mail for tombolas','gdprcompatible'); ?></label>
  <label><input name="data[mails][save_optin_independant]" type="checkbox" <?php checked( $settings->mails->save_optin_independant, 'on' ); ?>/> <?php echo __('I do save the double-optin text with a timestamp for the user','gdprcompatible'); ?></label>
</div>
</div>


<div class="tab">
<?php $class="hidden"; if($settings->ads->status=="on") { $class=""; } ?>
<label><input class="first" name="data[ads][status]" type="checkbox" <?php checked( $settings->ads->status, 'on' ); ?>/> <?php echo __('Do you show ads or payed content?','gdprcompatible'); ?></label>
<div class="<?php echo $class; ?> bg smaller">
  <label data-datenschutz-text="<?php echo __('3rd party cookie policy and optional opt-out with link (planned)','gdprcompatible'); ?>"><input name="data[ads][display_ads]" type="checkbox" <?php checked( $settings->ads->display_ads, 'on' ); ?>/> <?php echo __('with display ads / banner ads / Google AdSense','gdprcompatible'); ?></label>
  <label data-datenschutz-text="<?php echo __('highlighting your branded content','gdprcompatible'); ?>"><input name="data[ads][payed_content]" type="checkbox" <?php checked( $settings->ads->payed_content, 'on' ); ?>/> <?php echo __('with payed content','gdprcompatible'); ?></label>
  <label data-datenschutz-text="<?php echo __('disclaimer for affiliate links','gdprcompatible'); ?>"><input name="data[ads][affiliate_links]" type="checkbox" <?php checked( $settings->ads->affiliate_links, 'on' ); ?>/> <?php echo __('Affiliate Links like Amazon Partnernet, AWin, etc','gdprcompatible'); ?></label>
  <label data-datenschutz-text="<?php echo __('disclaimer for all other networks','gdprcompatible'); ?>"><input name="data[ads][ad_networks]" type="checkbox" <?php checked( $settings->ads->ad_networks, 'on' ); ?>/> <?php echo __('other ad networks','gdprcompatible'); ?></label>
</div>
</div>

<div class="tab">
<?php $class="hidden"; if($settings->analytics->status=="on") { $class=""; } ?>
<label><input class="first" name="data[analytics][status]" type="checkbox" <?php checked( $settings->analytics->status, 'on' ); ?>/> <?php echo __('Do you analyze your visitors?','gdprcompatible'); ?></label>
<div class="<?php echo $class; ?> bg smaller">
  <label data-avv-text="<?php echo __('owner of your analysis-software','gdprcompatible'); ?>" data-datenschutz-text="<?php echo __('Tracking software like Google Analytics, Adobe Analytics, etc.','gdprcompatible'); ?>"><input name="data[analytics][software]" type="checkbox" <?php checked( $settings->analytics->software, 'on' ); ?>/> <?php echo __('with analytics software like Google Analytics, Webtrekk, ...','gdprcompatible'); ?></label>
  <label data-avv-text="<?php echo __('avv for your own analysis-software','gdprcompatible'); ?>"><input type="checkbox" name="data[analytics][own]" type="checkbox" <?php checked( $settings->analytics->own, 'on' ); ?>/> <?php echo __('with my own analytics solution','gdprcompatible'); ?></label>
</div>
</div>

<br />
<button type="submit" class="button"><?php echo __('save status','gdprcompatible'); ?></button>
<?php if(!empty( $settings->last_updated )) { ?><small style="padding-top:5px;float:left; display:block">&nbsp; <?php echo __('last updated','gdprcompatible'); ?> <u title="<?php echo date( 'd.m.Y H:i', $settings->last_updated ); ?> <?php echo __('by','gdprcompatible'); ?> <?php $author_obj = get_user_by('id', $settings->last_user); echo $author_obj->user_login; ?>"><?php echo human_time_diff( $settings->last_updated, time() ); ?></u>&nbsp;&nbsp;&nbsp;&nbsp;</small><?php } ?>

<br /><br />
<div id="avv-text" class="bg">

  <?php
  if( $settings->done_avv ) {
  $html = '';
  $html .= '<div class="bg2" style=""><h3>' . __('already done','gdprcompatible') . ', ' . __('AVV for','gdprcompatible') . ':</h3>';
  foreach( $settings->done_avv as $item ) {
    foreach ($item as $key => $value) {
        $html .= '<label><input type="checkbox" name="done_avv_data['.key($settings->done_avv).']['.$key.']" value="'.$value.'" checked="true" />'.$value.'</label>';
    }
    //var_dumpp( $item );
  }
    $html .= '</div><hr /><br />';
    echo $html;
  }

  ?>

  <?php echo __('You need an AVV for:','gdprcompatible'); ?> <small><a href="<?php echo $links[$locale]["avv_what_is_this"]; ?>" target="_blank"><?php echo __('What is this?','gdprcompatible'); ?></a></small>
  <ul class="result">
    <li><?php echo __('please choose from above','gdprcompatible'); ?></li>
  </ul>

</div>

<div id="datenschutz-text" class="bg">

  <?php
  if( $settings->done_datenschutz ) {
  $html = '';
  $html .= '<div class="bg2" style=""><h3>' . __('already done','gdprcompatible') . ' ' . __('for data privacy','gdprcompatible') . ':</h3>';
  foreach( $settings->done_datenschutz as $item ) {
    foreach ($item as $key => $value) {
        $html .= '<label><input type="checkbox" name="done_datenschutz_data['.key($settings->done_datenschutz).']['.$key.']" value="'.$value.'" checked="true" />'.$value.'</label>';
    }
    //var_dumpp( $item );
  }
    $html .= '</div><hr /><br />';
    echo $html;
  }
  ?>

  <?php echo __('You need extra declaration in your data privacy statement:','gdprcompatible'); ?>
  <ul class="result">
    <li><?php echo __('please choose from above','gdprcompatible'); ?></li>
  </ul>
</div>

<br />


</form>


<script>
jQuery(function($) {

  function is_done( string ) {
    <?php
    $new_arr = array();
    if(!empty( $settings->done_avv )) {
    foreach($settings->done_avv as $item)
    {
      foreach ($item as $key => $value) {
        $new_arr[] = $value;
      }
    }
    }
    if(!empty( $settings->done_datenschutz )) {
    foreach($settings->done_datenschutz as $item)
    {
      foreach ($item as $key => $value) {
        $new_arr[] = $value;
      }
    }
    }
    ?>
    var allowed = ["<?php echo implode('","',$new_arr); ?>"];
    var is_it = false;
    if( $.inArray( string, allowed ) !== -1) { is_it = true; }
    //console.log( allowed );
    //console.log( is_it );
    return is_it;
  }

  //first click to show results later
  $( ".tab :checkbox:first" ).trigger('click');

  //setTimeout(function(){  }, 3000);

  $( ".tab .first:checkbox" ).on( "click", function() {
    if(!$(this).is(':checked')) {
      //alert("hide");
      $(this).parent().next().hide();
    } else {
      $(this).parent().next().fadeIn();
      //$(this).parent().find('.hidden').fadeIn();
    }
  });

  $( ".tab label" ).on( "click", function() {

    $( ".tab label" ).removeClass('clicked');
    $( this ).addClass('clicked');

    //append notices
    $( '#avv-text ul' ).html('');
    $( '#datenschutz-text ul' ).html('');
    var boxes = $(":checkbox:checked");
    boxes.each(function () {

      var avv_text = $( this ).parent().data('avv-text');
      var datenschutz_text = $( this ).parent().data('datenschutz-text');
      //console.log(avv_text);
      //console.log(datenschutz_text);
      if( avv_text != undefined && !is_done( avv_text ) ) { $( '#avv-text ul' ).append('<li><label><input type="checkbox" name="done_avv_'+$( this ).prop('name')+'" value="'+avv_text+'">'+avv_text+'</label></li>'); }
      if( datenschutz_text != undefined && !is_done( datenschutz_text ) ) { $( '#datenschutz-text ul' ).append('<li><label><input type="checkbox" name="done_datenschutz_'+$( this ).prop('name')+'" value="'+datenschutz_text+'">'+datenschutz_text+'</label></li>'); }
    });

    //console.log( $( this ).data('avv-text') );

  });

  //first click to update results now
  $( ".tab :checkbox:first" ).trigger('click');
});
</script>

<style>
body { width: 98%; }
a { text-decoration: none; }
a:hover { text-decoration: underline; }
label { display: block; font-size: 1.3em; padding-bottom: 10px; }
label:hover, label.clicked { font-weight: 400; }
label:hover:after {
  content: ' ◀ '; color: #cdcdcd;
}
.hidden {
  display: none;
}

.bg {
  background: #fff; padding: 1em 1em 1em 2em; margin: 0 0 1em 0;
}
.bg.smaller label { font-size: 1em; }
.hidden label:last-child { padding-bottom: 0; }
</style>
